function TextBannerSet(self,param) 
	local Title=self:GetChild("Title"); 
	local Subtitle=self:GetChild("Subtitle"); 
	local Artist=self:GetChild("Artist"); 
	if Subtitle:GetText() == "" then 
		(cmd(NoStroke;zoom,1;maxwidth,180;y,-6))(Title); 
		(cmd(visible,false))(Subtitle); 
		(cmd(NoStroke;zoom,0.5;maxwidth,266;y,6))(Artist); 
	else
		(cmd(NoStroke;zoom,1;maxwidth,180;y,-6))(Title);
		(cmd(visible,false;zoom,.5;maxwidth,360))(Subtitle); 
		(cmd(NoStroke;zoom,0.5;maxwidth,266;y,6))(Artist); 
	end
end